Subject: Re: [PATCH] TCP: Replace __kfree_skb() with kfree_skb()

From: Jarek Poplawski <[email-masked]>
Date: Fri, 26 Jan 2007 11:18:38 +0100

On Fri, Jan 26, 2007 at 08:52:51PM +1100, Herbert Xu wrote:
> On Fri, Jan 26, 2007 at 10:49:50AM +0100, Jarek Poplawski wrote:
> > 
> > How do we know about those improper deals? 
> > I understand there should be no other users here
> > if it's __kfree_skb now. So I mean to test and warn
> > before kfree_skb for some debugging time.
> 
> We only need to do that if there is a legitimate reason to use
> __kfree_skb.  Which there was when this code was first written
> since kfree_skb had an unconditional atomic op back then.
> 
> Now that it's a conditinoal atomic op __kfree_skb is no longer
> necessary.

I don't mean it's necessary. I mean now skb is freed
unconditionally and after this patch, if there is some
error in counting, skb will stay. I thought Masayuki
wrote about such possibility, but if I missed his
point, then the rest is really O.K.
 
Cheers,
Jarek P.